//
archives

AppUp

This category contains 1 post

Angry Birds – on Intel App Up


Angry Birds by Rovio The survival of the Angry Birds is at stake. Full Description NOTICE: Angry Birds requires OpenGL 1.3 or later to run. Devices that do not support OpenGL 1.3 are not supported. The survival of the Angry Birds is at stake. Dish out revenge on the green pigs who stole the Birds’ … Continue reading